<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('claim_diagnosis', function (Blueprint $table) {
            $table->id();
            $table->foreignId('claim_id');
            $table->string('type')->comment('primary, secondary');
            $table->foreignId('diagnosis_id')->nullable();
            $table->string('note')->nullable();
            $table->text('description')->nullable();

            $table->timestamps();
            $table->unsignedBigInteger('created_by')->nullable()->index();
            $table->unsignedBigInteger('updated_by')->nullable()->index();
            $table->unsignedBigInteger('deleted_by')->nullable()->index();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('claim_diagnosis');
    }
};
